GET /api/endpoint/action_status

Spaces method and path for this operation:

get /s/{space_id}/api/endpoint/action_status

Refer to Spaces for more information.

Get the status of response actions for the specified agent IDs.

Query parameters

  • agent_ids array[string] | string Required

    A list of agent IDs to get the action status for.

Responses

  • 200 application/json

    Indicates a successful call.

    Hide response attribute Show response attribute object
    • body object Required
      Hide body attribute Show body attribute object
      • data object Required
        Hide data attributes Show data attributes object
        • agent_id string Required

          Agent ID

        • pending_actions object Required

          One of:

          Additional properties are allowed.

GET /api/endpoint/action_status
curl \
 --request GET 'https://<KIBANA_URL>/api/endpoint/action_status?agent_ids=agent-id-1&agent_ids=agent-id-2' \
 --header "Authorization: $API_KEY"